~alpine/aports

main/bitlbee: added dev subpackage v1 PROPOSED

Marvin Steadfast
Marvin Steadfast: 1
 main/bitlbee: added dev subpackage

 1 files changed, 3 insertions(+), 3 deletions(-)
Export patchset (mbox)
How do I use this?

Copy & paste the following snippet into your terminal to import this patchset into git:

curl -s https://lists.alpinelinux.org/~alpine/aports/patches/2601/mbox | git am -3
Learn more about email & git

[alpine-aports] [PATCH] main/bitlbee: added dev subpackage Export this patch

Marvin Steadfast
---
 main/bitlbee/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/main/bitlbee/APKBUILD b/main/bitlbee/APKBUILD
index 44b68ec..1947824 100644
--- a/main/bitlbee/APKBUILD
+++ b/main/bitlbee/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
 pkgname=bitlbee
 pkgver=3.4.2
-pkgrel=0
+pkgrel=1
 pkgdesc="An IRC to other chat networks gateway"
 url="http://www.bitlbee.org/"
 arch="all"
@@ -10,7 +10,7 @@ license="GPL2"
 depends=""
 makedepends="glib-dev openssl-dev libotr-dev"
 install=""
-subpackages="$pkgname-doc $pkgname-otr"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-otr"
 source="
 	http://get.bitlbee.org/src/$pkgname-$pkgver.tar.gz
 	$pkgname.initd
@@ -43,7 +43,7 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install install-etc || return 1
+	make DESTDIR="$pkgdir" install install-etc install-dev || return 1
 
 	install -m755 -D "$srcdir"/$pkgname.initd \
 		"$pkgdir"/etc/init.d/$pkgname || return 1
-- 
2.7.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
View this thread in the archives